<?php
/*
Plugin Name: Geoportail-Shortcode
Description: Use API Geoportail in Wordpress
Version: 1.5.2

*/

include plugin_dir_path( __FILE__ ).'/Admin.php';


include_once plugin_dir_path( __FILE__ ).'/Install.php';
register_activation_hook(__FILE__,'WP_GPX_Maps_install'); 
register_deactivation_hook( __FILE__, 'WP_GPX_Maps_remove');

// Add the geoportail api to header
add_action('wp_head', 'geoportail_header');
 
function geoportail_header() {
	?>
	<script
		src="http://api.ign.fr/api?v=1.2&key=<?php echo get_option('geomap_key'); ?>&instance=map">
	</script>

	<style type="text/css">
        	.entry-content img {max-width: 100000%; /* override */}
  </style> 
	<?php
}

function geoportailme($attr) {
/******************************************************************************/
// default atts
	$attr = shortcode_atts(
			array(	
				'lat'							=> get_option("geomap_lat"), 
				'lon'							=> get_option("geomap_lon"),
				'id'	 						=> 'geoportail',
				'type'						=> get_option("geomap_type"), // normal ou mini
				'layers' 					=> get_option("geomap_layers"),
				'mapVisibility'		=> get_option("geomap_mapVisibility"),
				'mapOpacity'			=> get_option("geomap_mapOpacity"),
				'orthoVisibility'	=> get_option("geomap_orthoVisibility"),
				'orthoOpacity'		=> get_option("geomap_orthoOpacity"),
				'territory'				=> get_option("geomap_territory"),
				'z' 							=> get_option("geomap_z"),
				'w' 							=> get_option("geomap_w"),
				'h' 							=> get_option("geomap_h"),
				'kml' 						=> '',
				'kmlTitle' 				=> 'couche_kml',
				'gpx' 						=> '',
				'gpxTitle' 				=> 'couche_gpx',
				'wms' 						=> '',
				'wmsLayer'				=> '',
				'wmsTitle' 				=> 'couche_wms'
				), $attr);
									
	
	$returnme = '
		<style type="text/css">
		    div#'. $attr['id'] .' {
			background-color:white;
			background-image:url(http://api.ign.fr/geoportail/api/js/1.2/theme/geoportal/img/loading.gif);
			background-position:center center;
			background-repeat:no-repeat;
		    }
		</style>
  	<div id="' . $attr['id'] . '"
				 style="width:' . $attr['w'] . 'px;
				 height:' . $attr['h'] . 'px;
  		">
  	</div>
	';
	
	$returnme .= '
    
		<script type="text/javascript">
			window.onload= function() 
				{
					geoportalLoadmap(
						"' .$attr['id'] . '",
						"' .$attr['type'] . '",
						"' .$attr['territory'] . '"
					);
					
					var myMap = map.getMap();
					
					if(myMap.allowedGeoportalLayers)
					{
	';
/******************************************************************************/
//Layers

	if ( strpos($attr['layers'],'ortho') !== false)
	{
		$returnme .= '
			map.addGeoportalLayer("ORTHOIMAGERY.ORTHOPHOTOS:WMSC",
					{
						visibility:' . $attr['orthoVisibility'] . ',
						opacity:' . $attr['orthoOpacity'] . '
					});
		';
	}
	if ( strpos($attr['layers'],'map') !== false)
	{
		$returnme .= '
      map.addGeoportalLayer("GEOGRAPHICALGRIDSYSTEMS.MAPS:WMSC",
      		{
						visibility:' . $attr['mapVisibility'] . ',
						opacity:' . $attr['mapOpacity'] . '
					});
		';
	}
/******************************************************************************/
//Center Map
	$returnme .= '
					myMap.setCenterAtLonLat(
						' . $attr['lon'] . ',
						' . $attr['lat'] . ',
						' . $attr['z'] . '
					);
		';
		
		$returnme .= '} //if';
/******************************************************************************/
//kml
		if($attr['kml'] != '') 
		{
			$returnme .= '
					myMap.addLayer(
						"KML",
						"' . $attr['kmlTitle'] . '",
						"' . $attr['kml'] . '",
						{visibility:true, minZoomLevel:3, maxZoomLevel:16}
					);
			';
		}
/******************************************************************************/
//gpx
		if($attr['gpx'] != '') 
		{
			$returnme .= '
					myMap.addLayer(
						"GPX",
						"' . $attr['gpxTitle'] . '",
						"' . $attr['gpx'] . '",
						{visibility:true, minZoomLevel:3, maxZoomLevel:16}
					);
			';
		}
/******************************************************************************/
//wms
		if($attr['wms'] != '') 
		{
			$returnme .= '
					myMap.addLayer(
						"WMS",
						"' . $attr['wmsTitle'] . '",
						"' . $attr['wms'] . '",
	                		   	{layers: "' . $attr['wmsLayer'] . '"},
		                   		{transitionEffect: "resize"}	
					);
			';
		}
/******************************************************************************/
	$returnme .= '
		     		};//function;

		</script>';

/******************************************************************************/
		return $returnme;
}

add_shortcode('geoportail', 'geoportailme');

